/* -*- mode: c++; tab-width: 4; c-basic-offset: 4 -*- */
/*
 * Copyright (C) 2005 Atmark <atmarkat _AT_ msn _DOT_ com>
 *                    AGAWA Koji <i _AT_ atty _DOT_ jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <qvgroupbox.h>
#include <qgrid.h>
#include <qlistbox.h>
#include <qlabel.h>
#include "mediainfodialog.h"
#include "media.h"

MediaInfoDialog::MediaInfoDialog(Media *media, QWidget *parent, const char *name)
	: QDialog(parent, name, true),
	  media_(media)
{
}

void MediaInfoDialog::setupWidgets()
{
	QVGroupBox *box;

	// --------------------------------
	box = new QVGroupBox(tr("Media"), this);
	QGrid *grid = new QGrid(2, box);

	new QLabel(tr("Location"), grid);
	new QLabel(media_->location().toString(), grid);

	new QLabel(tr("Type"), grid);
	new QLabel(media_->isVideo() ? tr("Video") : tr("Audio"), grid);

	new QLabel(tr("Length"), grid);
	new QLabel(QString().sprintf("%02d:%02d", media_->length() / 60, media_->length() % 60), grid);

	// --------------------------------
	box = new QVGroupBox(tr("Metadata"), this);
	QListBox *listbox = new QListBox(box);
	listbox->insertStringList(media_->metadataStringList());
}
